Bug Hunting Session
Bug 55972 - CONFIGURATION: 'Export URLs relative to file system' should be default for PDF-Export
Summary: CONFIGURATION: 'Export URLs relative to file system' should be default for PD...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.1.0
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-10-14 14:33 UTC by Rainer Bielefeld Retired
Modified: 2018-05-06 10:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-14 14:33:15 UTC
I tested with "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit) 

In Menu 'Tools -> Options -> Load/Save -> General' the default setting after installation with a blank new User Profile is with checked "relative to ..." options.

It is very unexpected that for document PDF export the default setting in 'PDF Export Dialog -> Links' this option is unchecked by default.

This inconsistency should be eliminated by having the 'Relative ...' option also checked for Export

This problem already is in OOo 3.1.1, so inherited from OOo
Comment 1 Thomas Hackert 2013-06-28 17:51:05 UTC
Hello Rainer, *,
I can confirm your observation with LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 under Debian Testing AMD64, but I am not sure, if it shouldn't be marked as an enhancement instead of a bug ... :(
Sorry for the inconvenience
Thomas.
Comment 2 QA Administrators 2015-03-16 23:53:55 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-31 07:13:13 UTC
(In reply to Rainer Bielefeld Retired from comment #0)
> It is very unexpected that for document PDF export the default setting in
> 'PDF Export Dialog -> Links' this option is unchecked by default.

Yep, still the case.
I'll set to enchancement, though.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 4 Robert Cabane 2018-04-03 10:37:16 UTC
This bug is still there in the 6.0 version. Newbies are baffled !
Please correct this.
Comment 5 Commit Notification 2018-05-06 10:15:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e81efeadee1403bc3315a4adbf86cd769715fc2

tdf#55972 Export URLs relative to filesystem in PDF export by default

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.